GDB (xrefs)

Classes | Public Attributes | List of all members
breakpoint_objfile_data Struct Reference

## Classes
struct | exception_msym
struct | overlay_msym
struct | terminate_msym

## Public Attributes
struct bound_minimal_symbol | longjmp_msym [NUM_LONGJMP_NAMES] {}
int | longjmp_searched = 0
std::vector< probe * > | longjmp_probes
int | exception_searched = 0
std::vector< probe * > | exception_probes

## Detailed Description

Definition at line 3143 of file breakpoint.c.

## Member Data Documentation

## ◆ exception_probes

std::vector<probe *> breakpoint_objfile_data::exception_probes

Definition at line 3169 of file breakpoint.c.

## ◆ exception_searched

int breakpoint_objfile_data::exception_searched = 0

Definition at line 3165 of file breakpoint.c.

## ◆ longjmp_msym

struct bound_minimal_symbol breakpoint_objfile_data::longjmp_msym[NUM_LONGJMP_NAMES] {}

Definition at line 3149 of file breakpoint.c.

Referenced by create_longjmp_master_breakpoint().

## ◆ longjmp_probes

std::vector<probe *> breakpoint_objfile_data::longjmp_probes

Definition at line 3156 of file breakpoint.c.

Referenced by create_longjmp_master_breakpoint().

## ◆ longjmp_searched

int breakpoint_objfile_data::longjmp_searched = 0

Definition at line 3152 of file breakpoint.c.

Referenced by create_longjmp_master_breakpoint().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/breakpoint.c